#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, i, br, t, max1, j;
    int a[999999];
    cin >> n;
    for (i=0; i<n; i++)
        cin >> a[i];

    t=0;
    for (i=0; i<n-1; i++)
    {
        max1=a[i];
        for (j=i+1; j<n; j++)
        {
            if (a[j]>max1)
            {
                max1=a[j];
                br=j;
            }
        }
        if (max1>a[i])
        {
            swap(a[i],a[br]);
            t=1;
            break;
        }
    }
    if (t==0) swap(a[n-1],a[n-2]);

    for (i=0; i<n; i++)
        cout << a[i]<<" ";
}